// Author: Bertrand Bellenot   22/08/02

/*************************************************************************
 * Copyright (C) 1995-2002, Bertrand Bellenot.                           *
 * All rights reserved.                                                  *
 *                                                                       *
 * For the licensing terms see the LICENSE file.                         *
 *************************************************************************/

#include <TSystem.h>

#include "RSEnv.h"

//______________________________________________________________________________
RootShowerEnv::RootShowerEnv(const Char_t* name) : TEnv(name) 
{
    if (strlen(name) != 0) {
        fFileName = name;
        Char_t *s = gSystem->ConcatFileName(gSystem->HomeDirectory(), name);
        if (gSystem->AccessPathName(s)) {
            FILE *ifp  = fopen(s, "w");
            if (ifp) {
	            fclose(ifp);
	            ifp = 0;
            }			      
        }
      
// we are here if there is no ${HOME}/.rootshowerrc
//______________________________________________________________________________
        delete [] s;

        Char_t sname[128] = "system";
        strcat(sname, name);

        const Char_t* edDir = StrDup(gProgPath);
        s = gSystem->ConcatFileName(edDir, sname);

        if (gSystem->AccessPathName(s)) {
	    // for backward compatibility check also <name> if "system<name>
	    // does not exist
	        delete [] s;
	        s = gSystem->ConcatFileName(edDir, name);
        }
        ReadFile(s, kEnvUser);
        delete [] s;
    }
}

//______________________________________________________________________________
RootShowerEnv::~RootShowerEnv() {}

